<?PHP
/************************************************************************/
/* PowerClan is a PHP and mySQL based clanportal - www.powerscripts.org */
/* Copyright (C) 2001-2002 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/
?>
<?PHP
  function default_error ($url, $error) {
    global $errortablebg;
    echo "
      <tr><td align=\"center\" bgcolor=\"$errortablebg\">
      <br>
      <a href=\"$url\">$error</a><br>
      <br>
      </td></tr>
    ";
  }

  function news_replace($text) {
    $text = htmlentities($text);
    $text = stripslashes($text);
    $text = nl2br($text);
    $text = str_replace("[b]", "<b>", $text);
    $text = str_replace("[/b]", "</b>", $text);
    $text = str_replace("[u]", "<u>", $text);
    $text = str_replace("[/u]", "</u>", $text);
    $text = str_replace("[i]", "<i>", $text);
    $text = str_replace("[/i]", "</i>", $text);
    $text = eregi_replace("\\[url\\]www.([^\\[]*)\\[/url\\]","<a href=\"http://www.\\1\" target=\"_new\">\\1</a>",$text);
    $text = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]","<a href=\"\\1\" target=\"_new\">\\1</a>",$text);
    $text = eregi_replace("\\[url=\&quot;","[url=\"",$text);
    $text = eregi_replace("\\&quot;\\]","\"]",$text);
    $text = eregi_replace("\\[url=\"([^\\[]*)\"\\]([^\\[]*)\\[\\/url\\]", "<a href=\"\\1\">\\2</a>", $text);
    $text = eregi_replace("\\[url=([^\\[]*)\\]([^\\[]*)\\[\\/url\\]", "<a href=\"\\1\">\\2</a>", $text);
    $text = eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]", "<a href=\"mailto:\\1\">\\1</a>", $text);
    $text = eregi_replace("\\[email=([^\\[]*)\\]([^\\[]*)\\[/email\\]", "<a href=\"mailto:\\1\">\\2</a>", $text);
    return $text;
  }

  function getsettings () {
    global $handler, $settings;
    $query = "SELECT * FROM pc_config WHERE id='1'";
    $result = mysql_query($query,$handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      $settings = mysql_fetch_array($result);
    } else {
      echo "<center><b>Die Konfiguration konnte nicht geladen werden!</b></center>";
      exit;
    }
  }

  function getwarstats () {
    global $handler, $settings;
    $result = mysql_query("SELECT * FROM pc_wars");
    $allnum = mysql_num_rows($result);
    $num_won = $num_lost = $num_draw = $num_open = 0;
    while ($row = mysql_fetch_array($result)) {
      $allres = $res = array();
      if ($row[res1] AND $row[res2]) {
        if ($row[map1] AND $row[res1]) {
          $res = split(":", $row[res1]);
          $allres[left] = $allres[left] + $res[0];
          $allres[right] = $allres[right] + $res[1];
        }
        if ($row[map2] AND $row[res2]) {
          $res = split(":", $row[res2]);
          $allres[left] = $allres[left] + $res[0];
          $allres[right] = $allres[right] + $res[1];
        }
        if ($row[map3] AND $row[res3]) {
          $res = split(":", $row[res3]);
          $allres[left] = $allres[left] + $res[0];
          $allres[right] = $allres[right] + $res[1];
        }
        if ($allres[left] > $allres[right]) {
          $num_won = $num_won + 1;
        } elseif ($allres[left] == $allres[right]) {
          $num_draw = $num_draw + 1;
        } elseif ($allres[left] < $allres[right]) {
          $num_lost = $num_lost + 1;
        }
      } else {
        $num_open = $num_open + 1;
      }
    }
    ?>
    <tr><td bgcolor="<?PHP echo $settings[tablebg1]; ?>" align="center" width="20%">
    <b>Gewonnen</b>
    </td><td bgcolor="<?PHP echo $settings[tablebg1]; ?>" align="center" width="20%">
    <b>Verloren</b>
    </td><td bgcolor="<?PHP echo $settings[tablebg1]; ?>" align="center" width="20%">
    <b>Unentschieden</b>
    </td><td bgcolor="<?PHP echo $settings[tablebg1]; ?>" align="center" width="20%">
    <b>Offen</b>
    </td><td bgcolor="<?PHP echo $settings[tablebg1]; ?>" align="center" width="20%">
    <b>Gesamt</b>
    </td></tr>
    <tr><td bgcolor="<?PHP echo $settings[tablebg2]; ?>" align="center" style="color: <?PHP echo $settings[clrwon]; ?>">
    <?PHP echo $num_won; ?>
    </td><td bgcolor="<?PHP echo $settings[tablebg2]; ?>" align="center" style="color: <?PHP echo $settings[clrlost]; ?>">
    <?PHP echo $num_lost; ?>
    </td><td bgcolor="<?PHP echo $settings[tablebg2]; ?>" align="center" style="color: <?PHP echo $settings[clrdraw]; ?>">
    <?PHP echo $num_draw; ?>
    </td><td bgcolor="<?PHP echo $settings[tablebg2]; ?>" align="center">
    <?PHP echo $num_open; ?>
    </td><td bgcolor="<?PHP echo $settings[tablebg2]; ?>" align="center">
    <?PHP echo $allnum; ?>
    </td></tr>
    </table>
    <br>
    <table border="0" cellpadding="2" cellspacing="2" width="100%">
    <?PHP

  }
?>